--- ./doc/src/sgml/ref/create_variable.sgml.orig	2022-07-22 12:18:13.877300499 +0200
+++ ./doc/src/sgml/ref/create_variable.sgml	2022-07-24 14:52:50.587010931 +0200
@@ -58,10 +58,10 @@
   <note>
    <para>
     Inside a query or an expression, the session variable can be shadowed by
-    column or by routine's variable or routine argument. The collision of
-    identifiers can be solved by using qualified identifiers. Session variables
-    can use schema name, columns can use table aliases, routine's variables
-    can use block's labels, and routine's arguments can use routine name.
+    column or by routine's variable or routine argument. Such collisions of
+    identifiers can be resolved by using qualified identifiers. Session variables
+    can use schema name, columns can use table aliases, routine variables
+    can use block labels, and routine arguments can use the routine name.
    </para>
   </note>
  </refsect1>
@@ -74,21 +74,16 @@
     <term><literal>IMMUTABLE</literal></term>
     <listitem>
      <para>
-      The assigned value of the session variable can never be changed.
-      If the session variable doesn't have a default value, then a single
+      The assigned value of the session variable can not be changed.
+      Only if the session variable doesn't have a default value, a single
       initialization is allowed using the <command>LET</command> command. Once
-      done, no other change will be allowed until end of transcation
-      (when session variable was created with clause <literal>ON TRANSACTION
-      END RESET</literal> or until reset of all session variables by
-      <command>DISCARD VARIABLES</command> or until reset of all session
+      done, no further change is allowed until end of transaction
+      if the session variable was created with clause <literal>ON TRANSACTION
+      END RESET</literal>, or until reset of all session variables by
+      <command>DISCARD VARIABLES</command>, or until reset of all session
       objects by command <command>DISCARD ALL</command>.
      </para>
 
-     <para>
-      When <literal>IMMUTABLE</literal> session variable has assigned
-      default value by using <literal>DEFAULT expr</literal> clause, then
-      the value of session variable cannot be changed ever.
-     </para>
     </listitem>
    </varlistentry>
 
@@ -152,7 +147,7 @@
      <para>
       The <literal>DEFAULT</literal> clause can be used to assign a default
       value to a session variable. This expression is evaluated when the session
-      variable is accessed for reading first time, and had not assigned any value.
+      variable is first accessed for reading and had not yet been assigned a value.
      </para>
     </listitem>
    </varlistentry>
